# M3O Docs

Currently we're focused heavily on Dev UX for the hosted version. Over the coming weeks we'll start to put 
together docs for more on architecture and usage for self hosting, local development and writing services.

## Contents

- [Roadmap](#roadmap)
- [Resources](#resources)
- [Community](#community)
- [Cloud Hosting](#cloud-hosting)
- [Open Source](#open-source)
- [M3O Development](#m3o-development)
- [TODO](#todo)

## Roadmap

Check out the [roadmap](ROADMAP.md) and feel free to PR future features

## Resources

A few resources to look at in the mean time

### Community

- Join the [Discord](https://discord.gg/TBR9bRjd6Z) channel
- Email [Support](mailto:support@m3o.com) for help
- Follow us on [Twitter](https://twitter.com/m3oservices)

### Hosting

- [m3o.com](https://m3o.com) - a fully managed offering of micro services

### Platform

The core services, automation and the backend are all open source:

- [services](services) - offered on the M3O platform
- [platform](https://github.com/m3o/platform) - infrastructure automation
- [backend](https://github.com/m3o/backend) - powering the M3O platform

### Dev UX

We provide the following dev UX for the consumption of Micro services:

- [m3o-web](https://github.com/m3o/m3o-web) - Next.js based Web dashboard which can be self hosted
- [m3o-js](https://github.com/m3o/m3o-js) - JS client library with statically typed interfaces and examples
- [m3o-go](https://github.com/m3o/m3o-go) - Go client library with code generated functions and examples
- [m3o-cli](https://github.com/m3o/m3o-cli) - Command line interface for terminal access to services


## TODO

- [ ] Getting Started
- [ ] Architecture guide
- [ ] Local development
- [ ] Self hosting 
- [ ] Writing services
- [ ] Contributing
